/*
 * ioGame
 * Copyright (C) 2021 - 2023  渔民小镇 （262610965@qq.com、luoyizhu@gmail.com） . All Rights Reserved.
 * # iohao.com . 渔民小镇
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Affero General Public License as
 * published by the Free Software Foundation, either version 3 of the
 * License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Affero General Public License for more details.
 *
 * You should have received a copy of the GNU Affero General Public License
 * along with this program.  If not, see <https://www.gnu.org/licenses/>.
 */
package com.iohao.mmo.equip.entity;

import lombok.AccessLevel;
import lombok.Data;
import lombok.experimental.FieldDefaults;
import org.springframework.data.mongodb.core.mapping.Document;

/**
 * 装备属性汇总
 * <pre>
 *     装备的基本属性
 * </pre>
 *
 * @author 唐斌
 * @date 2023-07-24
 */
@Data
@Document
@FieldDefaults(level = AccessLevel.PRIVATE)
public class EquipProperty {
    /** 根骨 */
    int rootBone;
    /** 精力 */
    int energy;
    /** 力量 */
    int power;
    /** 智力 */
    int intelligence;
    /** 敏捷 */
    int agile;
    /** 最大气血 */
    int hpMax;
    /** 最大法力 */
    int mpMax;
    /** 幸运 */
    int lucky;

    public static EquipProperty resetElseEquipProperty() {
        EquipProperty elseEquipProperty = new EquipProperty();
        elseEquipProperty.constitution = 0;
        elseEquipProperty.magicPower = 0;
        elseEquipProperty.power = 0;
        elseEquipProperty.endurance = 0;
        elseEquipProperty.agile = 0;
        return elseEquipProperty;
    }
}
